/*-
 * Copyright (c) 2000
 * Tatsuya Kudoh(CDR/TK),ROYALPANDA.    All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#include<stdlib.h>
#include<sys/bios.h>

#include"pie_p.h"


/*
** second Pie / Normal
*/

static pieent_t Menu_hira_k[9] = {
	{""	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
};

static pieent_t Menu_hira_a[9] = {
	{"["	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{"A"	,0,NULL},	{""	,0,NULL},	{"B"	,0,NULL},
};

static pieent_t Menu_hira_y[9] = {
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{NULL	,0,NULL},	{""	,0,NULL},	{"E"	,0,NULL},
};
static pieent_t Menu_hira_s[9] = {
	{""	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
};

static pieent_t Menu_hira_m[9] = {
	{"݂"	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{"݂"	,0,NULL},	{""	,0,NULL},	{"݂"	,0,NULL},
};

static pieent_t Menu_hira_t[9] = {
	{""	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
};

static pieent_t Menu_hira_n[9] = {
	{"ɂ"	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{"ɂ"	,0,NULL},	{""	,0,NULL},	{"ɂ"	,0,NULL},
};

static pieent_t Menu_hira_h[9] = {
	{"Ђ"	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{"Ђ"	,0,NULL},	{""	,0,NULL},	{"Ђ"	,0,NULL},
};


/*
** second Pie / Shifted
*/

static pieent_t Menu_hira_g[9] = {
	{""	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
};

static pieent_t Menu_hira_r[9] = {
	{""	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
};

static pieent_t Menu_hira_x[9] = {
	{"u"	,0,NULL},	{""	,0,NULL},	{"v"	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{NULL	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
};

static pieent_t Menu_hira_z[9] = {
	{""	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
};

static pieent_t Menu_hira_f[9] = {
	{NULL	,0,NULL},	{"ӂ"	,0,NULL},	{NULL	,0,NULL},
	{NULL	,0,NULL},	{"ӂ"	,0,NULL},	{"ӂ"	,0,NULL},
	{NULL	,0,NULL},	{"ӂ"	,0,NULL},	{NULL	,0,NULL},
};

static pieent_t Menu_hira_d[9] = {
	{""	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
};

static pieent_t Menu_hira_b[9] = {
	{"т"	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{"т"	,0,NULL},	{""	,0,NULL},	{"т"	,0,NULL},
};

static pieent_t Menu_hira_p[9] = {
	{"҂"	,0,NULL},	{""	,0,NULL},	{NULL	,0,NULL},
	{""	,0,NULL},	{""	,0,NULL},	{""	,0,NULL},
	{"҂"	,0,NULL},	{""	,0,NULL},	{"҂"	,0,NULL},
};


/*
** first Pie / Normal
*/

static pieent_t Menu_hira_0[9] = {
	{"",0,Menu_hira_k},	{"",0,Menu_hira_a},	{"",0,Menu_hira_y},
	{"",0,Menu_hira_s},	{NULL	,0,NULL},	{"",0,Menu_hira_m},
	{"",0,Menu_hira_t},	{"",0,Menu_hira_n},	{"",0,Menu_hira_h},
};


/*
** first Pie / Shift
*/

static pieent_t Menu_hira_1[9] = {
	{"",0,Menu_hira_g},	{"",0,Menu_hira_r},	{"",0,Menu_hira_x},
	{"",0,Menu_hira_z},	{NULL,0,NULL},		{"ӂ",0,Menu_hira_f},
	{"",0,Menu_hira_d},	{"",0,Menu_hira_p},	{"",0,Menu_hira_b},
};


/*
** Pies
*/

pieent_t *PieMenu[PIE_NUM_MODE][2] = {
	{ Menu_hira_0, Menu_hira_1 },
};

